enfr

Build a NEW9* version

Build a NEW9* version

Prerequisites or configuration modifications for the development version

Build a NEW9.3.* version

  • from the 9.3.11 version, astk 1.6.3 is required.

astk automatic update:

prompt> [ASTER_ROOT]/ASTK/ASTK_SERV/bin/as_run --astk_update --nolocal

  • if you have problems updating astk 1.6.5, apply the attached patch (it will initialize the contendir variable to None in astk_maintenance.py) :
    Zip - 399 bytes
    contentdir problem

To apply it, download the patch and :

prompt> unzip astk-1.6.5-patch_update.zip
prompt> cd [ASTER_ROOT]/ASTK
prompt> patch -p1 < [répertoire téléchargement]/astk-1.6.5-patch_update
  • if you see this error when starting astk 1.6.5:
    Traceback (most recent call last):
     File "<stdin>", line 73, in <module>
     File "/tmp/ASTK/ASTK_SERV/lib/as_system.py", line 120, in __init__
       if self.run['shared_folders']:
     [...]
    as_run.RunAsterError: 4

    add these lines to the [ASTER_ROOT]/ASTK/ASTK_SERV/conf/config file:

    # shared folders = for which remote copy is never necessary (comma separated)
    shared_folders :